#!/usr/bin/python
# -*- coding: utf-8 -*-
#######################################################################
# File  : SetupTools.py
# Author: Souheil CHELFOUH
#         mailto:souheil@chelfouh.com
#         http://www.trollskog.com
# Date  : 2006-02-11
#######################################################################

__author__	= 'Souheil CHELFOUH <souheil@chelfouh.com>'
__docformat__	= 'plaintext'

from Products.CMFCore.utils import getToolByName

def setupTool(self, id, project):
    """Setup my tool
    """
    
    if hasattr(self, id):
        self.manage_delObjects([id])
    addTool = self.manage_addProduct[project].manage_addTool
    addTool(type = project + 'Tool')


def setupConfiglet(self, configlets):
    """Setup my configlet
    """
    
    configTool = getToolByName(self, 'portal_controlpanel', None)
    if configTool:
        for conf in configlets:
            configTool.registerConfiglet(**conf)
